require 'i18n'
require 'active_support/json'
require 'clean_errors/validation_error'

I18n.config.available_locales = :en

module CleanErrors
  class << self
    def ValidationError(type, i18n_data={})
      CleanErrors::ValidationError.new(
        type: type,
        message: I18n.t("#{translation_path}.#{type}") % i18n_data
      )
    end
    alias_method :Error, :ValidationError

    def translation_path
      @path || "errors"
    end

    def translation_path= value
      @path = value
    end
  end
end
